#include <stdio.h>

using namespace std;
int brojcif(int A)
{ int br;
br=0;
    while(A)
    {
        br++;
        A=A/10;
    }
    return br;
}
int step_des(int n)
{ int s;s=1;
    while(n)
    {
        s=s*10;n--;
    }
    return s;
}


int main()
{ int p;p=1;
 long long int A,B,C;
 scanf("%lld%lld%lld",&A,&B,&C);
 int a,b,c;long long int s1,s2,s3,s4,s5,s6;
 a=brojcif(A);
 b=brojcif(B);
 c=brojcif(C);


 s1=A*step_des(b+c)+B*step_des(c)+C;
 s2=A*step_des(b+c)+C*step_des(b)+B;
 s3=B*step_des(a+c)+C*step_des(a)+A;
 s4=B*step_des(a+c)+A*step_des(c)+C;
 s5=C*step_des(b+a)+B*step_des(a)+A;
 s6=C*step_des(b+a)+A*step_des(b)+B;

 if(s1>=s2&&s1>=s3&&s1>=s4&&s1>=s5&&s1>=s6){printf("%d",s1);p=0;}
 if(s2>=s1&&s2>=s3&&s2>=s4&&s2>=s5&&s2>=s6&&p){printf("%d",s2);p=0;}
 if(s3>=s2&&s3>=s1&&s3>=s4&&s3>=s5&&s3>=s6&&p){printf("%d",s3);p=0;}
 if(s4>=s2&&s4>=s3&&s4>=s1&&s4>=s5&&s4>=s6&&p){printf("%d",s4);p=0;}
 if(s5>=s2&&s5>=s3&&s5>=s4&&s5>=s1&&s5>=s6&&p){printf("%d",s5);p=0;}
 if(s6>=s2&&s6>=s3&&s6>=s4&&s6>=s5&&s6>=s1&&p){printf("%d",s6);}
}